Skip to main content
GET
/
v1
/
transactional-emails
/
{id}
Get a transactional email
curl --request GET \
  --url https://app.loops.so/api/v1/transactional-emails/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "cmnx1d95z001llilji4vapgqs",
  "name": "Welcome email",
  "draftEmailMessageId": "cmn5zia4i0017tzli8ric8giv",
  "publishedEmailMessageId": "cmn5bia4i0217tzli8ric8giv",
  "transactionalGroupId": "tgrp_01hxyz",
  "createdAt": "2026-03-28T15:00:00.000Z",
  "updatedAt": "2026-03-28T15:10:00.000Z",
  "dataVariables": [
    "firstName",
    "lastName"
  ]
}

Request

Path parameters

id
string
required
The ID of the transactional email.

Response

Success

id
string
required
The transactional email ID.
name
string
required
The transactional email name.
draftEmailMessageId
nullable string
required
The ID of the draft email message, if one exists.
publishedEmailMessageId
nullable string
required
The ID of the published email message, if one exists.
transactionalGroupId
nullable string
required
The ID of the group this transactional email belongs to.
createdAt
string
required
ISO 8601 timestamp for when the transactional email was created.
updatedAt
string
required
ISO 8601 timestamp for when the transactional email was last updated.
dataVariables
array
required
Data variable names used by the published email. Empty for unpublished transactional emails.

Error

A 400 Bad Request is returned if id is invalid. A 404 Not Found is returned if the transactional email does not exist. If the API key is invalid (or content API is not enabled for your team), a 401 Unauthorized is returned.
message
string
required
An error message describing what went wrong.
{
  "id": "cmnx1d95z001llilji4vapgqs",
  "name": "Welcome email",
  "draftEmailMessageId": "cmn5zia4i0017tzli8ric8giv",
  "publishedEmailMessageId": "cmn5bia4i0217tzli8ric8giv",
  "transactionalGroupId": "tgrp_01hxyz",
  "createdAt": "2026-03-28T15:00:00.000Z",
  "updatedAt": "2026-03-28T15:10:00.000Z",
  "dataVariables": [
    "firstName",
    "lastName"
  ]
}
Last modified on June 22, 2026